## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanOutputStream::TranscodingException Class Reference

`#include <XalanOutputStream.hpp>`

Inheritance diagram for XalanOutputStream::TranscodingException:

[legend]
Collaboration diagram for XalanOutputStream::TranscodingException:

[legend]
List of all members.

## Public Methods

- TranscodingException (XalanDOMString &theBuffer)
- TranscodingException (const TranscodingException &other)
- virtual ~TranscodingException ()

## Constructor & Destructor Documentation

XalanOutputStream::TranscodingException::TranscodingException ( | XalanDOMString & theBuffer )`[explicit]`

XalanOutputStream::TranscodingException::TranscodingException ( | const TranscodingException & other )

XalanOutputStream::TranscodingException::~TranscodingException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.